Bug 590264 - [abrt] crash in labyrinth-0.4.0-6.fc12: MMapArea.py:1185:set_italics:AttributeError: 'DrawingThought' object has no attribute 'set_italics'
[abrt] crash in labyrinth-0.4.0-6.fc12: MMapArea.py:1185:set_italics:Attribut...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: labyrinth (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
abrt_hash:801633c2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 08:42 EDT by Nunatak
Modified: 2010-12-03 09:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (607 bytes, text/plain)
2010-05-08 08:42 EDT, Nunatak
no flags Details

  None (edit)
Description Nunatak 2010-05-08 08:42:27 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/labyrinth
component: labyrinth
executable: /usr/bin/labyrinth
kernel: 2.6.32.11-99.fc12.x86_64
package: labyrinth-0.4.0-6.fc12
reason: MMapArea.py:1185:set_italics:AttributeError: 'DrawingThought' object has no attribute 'set_italics'
release: Fedora release 12 (Constantine)

backtrace
-----
MMapArea.py:1185:set_italics:AttributeError: 'DrawingThought' object has no attribute 'set_italics'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/labyrinth/MainWindow.py", line 405, in italic_toggled
    self.MainArea.set_italics (action.get_active())
  File "/usr/lib/python2.6/site-packages/labyrinth/MMapArea.py", line 1185, in set_italics
    self.selected[0].set_italics (active)
AttributeError: 'DrawingThought' object has no attribute 'set_italics'

Local variables in innermost frame:
active: True
self: <MMapArea object at 0x169fc80 (MMapArea+MMapArea at 0x16300b0)>
Comment 1 Nunatak 2010-05-08 08:42:30 EDT
Created attachment 412526 [details]
File: backtrace
Comment 2 Sylvain Arth 2010-08-25 17:51:10 EDT
Package: labyrinth-0.4.0-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Started the the software 
2.Created a draw
3.Created some text
4.Deleting some text
5.Then exited by the menu


Comment
-----
No idea about when the crash happend
This software lookes useless with veru fex actions or function avaliable
Then I exited
Without the abrt stuff I would still ignore it crashed
Comment 3 Bug Zapper 2010-11-03 11:20:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:55:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.